MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001947VCMIGUI - Battlespublic2014-11-11 15:452016-11-11 08:26
ReporterSebt 
Assigned ToAVS 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformTablet ASUS TF201OSAndroidOS Version4.1.1.
Product Version0.97 
Target VersionFixed in Version0.98d 
Summary0001947: Dimension Door buff in battle
DescriptionAfter moving hero with Dimension Door spell next to enemy hero and then attacking the enemy the battle will start with Dimension Door buff to all your units (if have Magic Wind spell on master level). See the screenshot for reference (it says "Dimension door, lasts: 0 turns"). Even if you move hero normally in each battle buff will be provided.

After next turn, if you didn't use Dimension Door spell buff will not appear.
Steps To ReproduceUse Dimension Door spell on adventure map and move with it your hero, then fight with enemy and you'll start with Dimension Door buff provided to your unit(s).
TagsNo tags attached.
Attached Filesjpg file icon Screenshot_2014-11-11-16-18-33.jpg [^] (929,769 bytes) 2014-11-11 15:45

- Relationships
child of 0002290acknowledgedAVS Information about timed adventure map spells displayed on stacks in battle. 

-  Notes
(0005088)
Warmonger (administrator)
2014-11-11 17:12

This issue comes from excessive use of Bonus System to store DD cast count.
(0005862)
AVS (administrator)
2015-09-15 05:55

Fixed in https://github.com/vcmi/vcmi/commit/395070b5841b504ca495706086715a996f8df08a [^]

- Issue History
Date Modified Username Field Change
2014-11-11 15:45 Sebt New Issue
2014-11-11 15:45 Sebt File Added: Screenshot_2014-11-11-16-18-33.jpg
2014-11-11 17:12 Warmonger Assigned To => Warmonger
2014-11-11 17:12 Warmonger Status new => assigned
2014-11-11 17:12 Warmonger Note Added: 0005088
2015-09-15 05:23 AVS Assigned To Warmonger => AVS
2015-09-15 05:55 AVS Note Added: 0005862
2015-09-15 05:55 AVS Status assigned => resolved
2015-09-15 05:55 AVS Fixed in Version => 0.98d
2015-09-15 05:55 AVS Resolution open => fixed
2015-10-08 07:45 Warmonger Relationship added child of 0002290
2016-11-11 08:26 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean